# pygccxml.utils.xml_generators module

class xml_generators(logger, gccxml_cvs_revision=None, castxml_format=None)

  Bases: `object`

  Helper class for the xml generator versions

  get_string_repr()

    Get a string identifier for the current type of xml generator

    Returns

      identifier

    Return type

      str

  property is_castxml

    Is the current xml generator castxml?

    Returns

      is castxml being used?

    Return type

      bool

  property is_castxml1

    Is the current xml generator castxml (with output format version 1)?

    Returns

      is castxml (with output format version 1) being used?

    Return type

      bool

  property is_gccxml

    Is the current xml generator gccxml?

    Returns

      is gccxml being used?

    Return type

      bool

  property is_gccxml_06

    Is the current xml generator gccxml (version 0.6)?

    Returns

      is gccxml 0.6 being used?

    Return type

      bool

  property is_gccxml_07

    Is the current xml generator gccxml (version 0.7)?

    Returns

      is gccxml 0.7 being used?

    Return type

      bool

  property is_gccxml_09

    Is the current xml generator gccxml (version 0.9)?

    Returns

      is gccxml 0.9 being used?

    Return type

      bool

  property is_gccxml_09_buggy

    Is the current xml generator gccxml (version 0.9 - buggy)?

    Returns

      is gccxml 0.9 (buggy) being used?

    Return type

      bool

  property xml_output_version

    The current xml output version for the parsed file.

    Returns

      the xml output version

    Return type

      str